For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
OverviewInquiriesTransactionsRelayAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
      • GETList all Importers
      • GETRetrieve an Importer
      • POSTImport Accounts
      • POSTImport Email Address Lists
      • POSTImport Face Lists
      • POSTImport Geolocation Lists
      • POSTImport Government ID Number Lists
      • POSTImport IP Address Lists
      • POSTImport Name Lists
      • POSTImport Phone Number Lists
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceImporters

Import Name Lists

POST
https://api.withpersona.com/api/v1/importer/list-item/names
POST
/api/v1/importer/list-item/names
$curl -X POST https://api.withpersona.com/api/v1/importer/list-item/names \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F data='{
> "attributes": {
> "file": "string",
> "list-id": "string"
> }
>}'
1{
2 "data": {
3 "id": "mprt_TKqquVbHaSVYqgWhxNjuYDjQ",
4 "attributes": {
5 "created-at": "2020-07-12T17:16:54.656Z",
6 "duplicate-count": 0,
7 "error-count": 0,
8 "status": "pending",
9 "successful-count": 0
10 },
11 "type": "importer/list-item/name"
12 }
13}
Bulk import name List Items by uploading a CSV file. Each row should be the details for a new list item. The columns we allow are: - name_first - name_last
Was this page helpful?
Previous

Import Phone Number Lists

Next
Built with

Bulk import name List Items by uploading a CSV file.

Each row should be the details for a new list item. The columns we allow are:

  • name_first
  • name_last

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects a multipart form.
dataobjectRequired

Response

This endpoint returns an Importer object.
dataobject
An Importer for name List Items

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.